org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver

## Class RetryClientRetryOn

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver.RetryClientRetryOn

    @RequestScoped
    public class RetryClientRetryOn
    extends Object

A client to demonstrate the retryOn conditions

Author:
  Emily Jiang

### Constructor Summary

Constructors
Constructor and Description
`RetryClientRetryOn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRetryCountForConnectionService()`
`int` `getRetryCountForWritingService()`
`Connection` `serviceA()`
`void` `serviceB()` The configured the max retries is 90 but the max duration is 100ms.
`Connection` `serviceC()` Service that throws a child custom exception but in the retry on list is configured child's parent custom exception
`Connection` `serviceD()` Service that throws a child custom exception but in the retry on list is configured child's parent custom exception and is configured in the abort on list the child custom exception

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryClientRetryOn

    public RetryClientRetryOn()

### Method Detail

#### serviceA

    @Retry(retryOn=java.lang.RuntimeException.class)
    public Connection serviceA()

#### serviceC

    @Retry(retryOn=RetryParentException.class)
    public Connection serviceC()

Service that throws a child custom exception but in the retry on list is configured child's parent custom exception

Returns:
  Connection

#### serviceD

    @Retry(retryOn=RetryParentException.class,
           abortOn=RetryChildException.class)
    public Connection serviceD()

Service that throws a child custom exception but in the retry on list is configured child's parent custom exception and is configured in the abort on list the child custom exception

Returns:
  Connection

#### getRetryCountForConnectionService

    public int getRetryCountForConnectionService()

#### serviceB

    @Retry(retryOn=java.io.IOException.class)
    public void serviceB()

The configured the max retries is 90 but the max duration is 100ms. Once the duration is reached, no more retries should be performed.

#### getRetryCountForWritingService

    public int getRetryCountForWritingService()